{
    "showStatForBattle": true,
    "battleStatPatterns": [
        {
            "pattern": "(Получено кредитов: )<font color='#C5CFCF'>[\\d ]+",
            "repl": "\\1<font color='{{c:credits}}'>{{credits}}"
        },
        {
            "pattern": "(Получено опыта: )<font color='#C8C8B5'>([\\d ]+)",
            "repl": "\\1<font color='{{g:medPlace}}'>\\2"
        },
        {
            "if": "{{avgXP}} != {{tmenXP}}",
            "pattern": "(Получено опыта:.*)",
            "repl": "\\1\n<font color='#929290'>Опыт экипажа: <font color='{{g:medPlace}}'>{{tmenXP}}</font></font>"
        },
        {
            "pattern": " за первую победу в день",
            "repl": ""
        },
        {
            "pattern": "Достижения в бою",
            "repl": "Достижения"
        },
        {
            "pattern": "(\\d) степень",
            "repl": "\\1 ст."
        },
		{
			"pattern": "(Получено опыта:.*)",
			"repl":    "\\1\n<font>Урон: <font color='{{g:avgDamage}}'>{{totalDmg}}</font> Ассист: <font color='{{g:avgAssist}}'>{{totalAssist}}</font></font>"
		}
    ],
    "battleStatText": [
        "WN8: <font color='{{g:XWN8}}'><b>{{WN8}} ({{XWN8}})</b></font>",
		"РЭ: <font color='{{g:EFF}}'><b>{{EFF}} ({{XEFF}})</b></font>"
    ],
	"battleResultsWindow": {
        "enable": false,
		"format": "<b><textformat leading='-2' tabstops='[20,50]'><font color='#ffffff' size='12' face='$TextFont'>{{arenaType}} - {{arenaGuiType}}  WN8: <font color='{{g:XWN8}}'>{{WN8}} ({{XWN8}})</font><tab>  EFF: <font color='{{g:XWN8}}'>{{EFF}} ({{XEFF}})</font></font></textformat></b>"
    },
    "hideMessagePatterns": [
        "Рекомендуем выполнить привязку вашего аккаунта к телефону",
        "Рекомендуем сменить пароль",
		"Ваш клан .*",
		"у вашего клана .*",
		"Пользователь .*",
		"Приглашение в отряд",
		"Ваша ставка за провинцию",
		"Новая Глобальная карта"
    ],
    "debugBattleResultMessage": false,
    "onlineReloadConfig": false,
    "ignoreBattleType": [2, 4, 7, 8],
    "dailyAutoReset": true,
    "dailyAutoResetHour": 3,
    "clientReloadReset": false,
    "icon": "../maps/icons/library/BattleResultIcon-1.png",
    "enableBattleEndedMessage": false,
    "battleEndedMessageDefeat": "<font color='#FE0E00'>Бой {{map}} - {{vehicle}} завершился поражением.</font>",
    "battleEndedMessageDraw": "<font color='#FE7903'>Бой {{map}} - {{vehicle}} завершился ничьей.</font>",
    "battleEndedMessageWin": "<font color='#60FF00'>Бой {{map}} - {{vehicle}} завершился победой!</font>",
    "bgIcon": "../../../configs/wotstat/img/bgIcon{{c:XWN8}}.png",
    "overwriteBattleResultBgIcon": false,
    "bgIconDefeat": "../../../configs/wotstat/img/Defeat.png",
    "bgIconDraw": "../../../configs/wotstat/img/Draw.png",
    "bgIconWin": "../../../configs/wotstat/img/Win.png",
	"info": true,
    "text": [
		"<textformat leading='1'><font color='#FFCC66'>Вы не сыграли ни одного боя.</font></textformat>",
		"<textformat leading='1'> </font></textformat>",
		"<textformat leading='1'>Статистика WN8/РЭ за сессию в Центре Уведомлений.</font></textformat>",
		"<textformat leading='1'>Конфиг от Sabrewing.</font></textformat>",
		"<textformat leading='1'>Минималистично. Информативно.</font></textformat>"
	],

    "template": [
        "<font size='12'><textformat leading='-4' tabstops='[50,130]'><font color='#FFCC66'>WN8/РЭ:</font><tab><font color='{{g:WN8}}'>{{WN8}} ({{XWN8}})</font><tab><font color='{{g:EFF}}'>{{EFF}} ({{XEFF}})</font></textformat>",
		"<textformat leading='-4' tabstops='[50,130,190]'><font color='#FFCC66'>Победы:</font><tab><font color='{{g:rWIN}}'>{{winsCount}}/{{battlesCount}}<tab>{{avgWinRate}}%<tab></font>",
        "<font color='#FFCC66'>Урон:</font><tab><font color='{{g:rDAMAGE}}'>{{totalDmg}}<tab>{{avgDamage}}<tab></font>",
        "<font color='#FFCC66'>Фраги:</font><tab><font color='{{g:rFRAG}}'>{{totalFrag}}<tab>{{avgFrag}}<tab></font>",
        "<font color='#FFCC66'>Засвет:</font><tab><font color='{{g:rSPOT}}'>{{totalSpot}}<tab>{{avgSpot}}<tab></font>",
        "<font color='#FFCC66'>Защита:</font><tab><font color='{{g:rDEF}}'>{{totalDef}}<tab>{{avgDef}}<tab></font>",
		"<font color='#FFCC66'>Захват:</font><tab><font color='{{g:avgCap}}'>{{totalCap}}<tab>{{avgCap}}<tab></font>",
        "<font color='#FFCC66'>Опыт:</font><tab><font color='{{g:medPlace}}'>{{totalXP}}<tab>{{avgPremXP}}<tab></font>",
        "<font color='#FFCC66'>Кредиты:</font><tab><font color='{{c:credits}}'>{{credits}} <img src='img://gui/maps/icons/library/CreditsIcon-1.png' width='11' height='11' align='baseline' vspace='-2'><tab>{{avgCredits}} <img src='img://gui/maps/icons/library/CreditsIcon-1.png' width='11' height='11' align='baseline' vspace='-2'></font></textformat></font>",
	    "\n<p align='center'>{{ButtonTanks}}        {{ButtonReset}}</p>"
    ],
	"Button": {
	    "Tanks": {
		    "enable": true,
		    "format": "<a href='event:WotStat:Tanks'><b>По танкам</b></a>"		
		},
		"Reset": {
		    "enable": false,
		    "format": "<a href='event:WotStat:Reset'><b>Сброс</b></a>"		
		},
		"General": {
		    "enable": true,
		    "format": "<a href='event:WotStat:General'><b>Общая</b></a>"		
		}
	},
    "TankStat": [
	    "<font size='12'><textformat leading='-4' tabstops='[70,115,160]'><font color='#FFE6B3'>{{vehicle}}</font><tab><font color='{{g:rWIN}}'>{{winsCount}}/{{battlesCount}}</font><tab><font color='{{g:rDAMAGE}}'>{{avgDamage}}</font><tab><font color='{{g:XWN8}}'>{{WN8}} ({{XWN8}})</font></textformat></font>"
	],
    "byTankRow": [
	    "<font size='13' color='#FFCC66'><textformat leading='-4' tabstops='[70,115,160]'>Танк<tab>Победы<tab>Урон<tab>WN8</textformat></font><hr>",
	    "{{TankStat}}",
	    "\n<p align='center'>{{ButtonGeneral}}        {{ButtonReset}}</p>"
	],
	"showPopUp": true,
    "gradient": {
        "XWN8": [
            {"value": 8, "color": "#FE0E00"},
            {"value": 25, "color": "#FE7903"},
            {"value": 43, "color": "#F8F400"},
            {"value": 64, "color": "#60FF00"},
            {"value": 84, "color": "#02C9B3"},
            {"value": 96.5, "color": "#D042F3"}
        ],
		"WN8": [
            {"value": 155, "color": "#FE0E00"},
            {"value": 530, "color": "#D0D0D0"},
            {"value": 1030, "color": "#F8F400"},
            {"value": 1638, "color": "#60FF00"},
            {"value": 2253, "color": "#02C9B3"},
            {"value": 2895, "color": "#D042F3"}
        ],
		"EFF": [
            {"value": 610, "color": "#F0F0F0"},
            {"value": 850, "color": "#D0D0D0"},
            {"value": 1145, "color": "#F8F400"},
            {"value": 1475, "color": "#60FF00"},
            {"value": 1775, "color": "#02C9B3"},
            {"value": 2000, "color": "#D042F3"}
        ],
        "rWIN": [
            {"value": 0.14, "color": "#FE0E00"},
            {"value": 0.44, "color": "#FE7903"},
            {"value": 0.76, "color": "#F8F400"},
            {"value": 1.07, "color": "#60FF00"},
            {"value": 1.35, "color": "#02C9B3"},
            {"value": 1.60, "color": "#D042F3"}
        ],
        "rDAMAGE": [
            {"value": 0.14, "color": "#FE0E00"},
            {"value": 0.44, "color": "#FE7903"},
            {"value": 0.76, "color": "#F8F400"},
            {"value": 1.07, "color": "#60FF00"},
            {"value": 1.35, "color": "#02C9B3"},
            {"value": 1.60, "color": "#D042F3"}
        ],
        "rFRAG": [
            {"value": 0.14, "color": "#FE0E00"},
            {"value": 0.44, "color": "#FE7903"},
            {"value": 0.76, "color": "#F8F400"},
            {"value": 1.07, "color": "#60FF00"},
            {"value": 1.35, "color": "#02C9B3"},
            {"value": 1.60, "color": "#D042F3"}
        ],
        "rSPOT": [
            {"value": 0.14, "color": "#FE0E00"},
            {"value": 0.44, "color": "#FE7903"},
            {"value": 0.76, "color": "#F8F400"},
            {"value": 1.07, "color": "#60FF00"},
            {"value": 1.35, "color": "#02C9B3"},
            {"value": 1.60, "color": "#D042F3"}
        ],
        "rDEF": [
            {"value": 0.14, "color": "#FE0E00"},
            {"value": 0.44, "color": "#FE7903"},
            {"value": 0.76, "color": "#F8F400"},
            {"value": 1.07, "color": "#60FF00"},
            {"value": 1.35, "color": "#02C9B3"},
            {"value": 1.60, "color": "#D042F3"}
        ],
		"avgCap": [
            {"value": 0.34, "color": "#FE0E00"},
            {"value": 0.57, "color": "#FE7903"},
            {"value": 0.81, "color": "#F8F400"},
            {"value": 1.03, "color": "#60FF00"},
            {"value": 1.22, "color": "#02C9B3"},
            {"value": 1.57, "color": "#D042F3"}
        ],
		"avgDamage": [
			{ "value":    0,"color": "#FE0E00" },
			{ "value":  800,"color": "#FE7903" },
			{ "value": 1500,"color": "#F8F400" },
			{ "value": 2000,"color": "#60FF00" },
			{ "value": 2500,"color": "#02C9B3" },
			{ "value": 3000,"color": "#D042F3" }
		],
		"avgAssist": [
			{ "value":    0,"color": "#FE0E00" },
			{ "value":  800,"color": "#FE7903" },
			{ "value": 1500,"color": "#F8F400" },
			{ "value": 2000,"color": "#60FF00" },
			{ "value": 2500,"color": "#02C9B3" },
			{ "value": 3000,"color": "#D042F3" }
		],
        "medPlace": [
            {"value": 1, "color": "#D042F3"},
            {"value": 3, "color": "#02C9B3"},
            {"value": 5, "color": "#60FF00"},
            {"value": 7, "color": "#F8F400"},
            {"value": 10, "color": "#FE7903"},
            {"value": 15, "color": "#FE0E00"}
        ]
    },
    "palette" : {
        "credits": [
            {"value": -1, "color": "#FE0E00"},
            {"value": 0, "color": "#FFFFFF"},
            {"value": 1, "color": "#60FF00"}
        ],
        "XWN8": [
            {"value": 16.5, "color": "#FE0E00"},
            {"value": 33.5, "color": "#FE7903"},
            {"value": 52.5, "color": "#F8F400"},
            {"value": 75.5, "color": "#60FF00"},
            {"value": 92.5, "color": "#02C9B3"},
            {"value": 100, "color": "#D042F3"}
        ]
    }
}
